package cn.timer.api.service;

import cn.timer.api.dto.disk.FileInfoDto;
import com.jcraft.jsch.ChannelSftp;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.OutputStream;
import java.util.List;

/**
 * 上传文件的实现层
 */
public interface FtpService {

    boolean createDirs(String dirPath, ChannelSftp sftp);

    /**
     * 上传文件到服务器
     * @param targetPath
     * @param files
     * @param reservedName
     * @return
     */
    List<FileInfoDto> uploadFile(String targetPath, MultipartFile[] files, boolean reservedName);
    /**
     * 下载单个文件
     *
     * @param remotePath：远程目录
     * @param localPath：本地保存目录
     * @param localFileName：保存文件名
     * @return
     */
    boolean downloadFile(String remotePath, String localPath, String localFileName);

    /**
     * 删除服务器文件
     * @param targetPath
     * @return
     */
    boolean deleteFile(List<String> targetPath);
}
